@echo off
set regkey=KEY_LOCAL_MACHINE\SOFTWARE\EA SPORTS\FIFA 07
set keyname=Install Dir

::create Tempdir
if not exist %temp%\nortmp md %temp%\nortmp
::Create Registry Key (required if key does not exist)
> "%temp%\nortmp\tmp0.reg" ECHO REGEDIT4
>>"%temp%\nortmp\tmp0.reg" ECHO.
>>"%temp%\nortmp\tmp0.reg" ECHO [%regkey%]
START /WAIT REGEDIT /S "%temp%\nortmp\tmp0.reg"
Del %temp%\nortmp\tmp0.reg
::Read and filter Registry Key
start /wait %windir%\regedit /e "%temp%\nortmp\tmp1.reg" "HKEY_LOCAL_MACHINE\SOFTWARE\EA SPORTS\FIFA 07"
Find "%keyname%" < "%temp%\nortmp\tmp1.reg" | Find /V "" >"%temp%\nortmp\nvcpath.txt"
::Del %temp%\nortmp\tmp1.reg
::FOR /F "tokens=* delims==" %%A IN ('Find "%keyname%" < %temp%\nortmp\tmp1.reg') DO SET rootkey=%%A
FOR /F "tokens=* delims==" %%A IN ('TYPE %temp%\nortmp\nvcpath.txt') DO SET rootkey=%%A
FOR /F "eol=;tokens=* delims==" %%A IN ('ECHO.%rootkey%') DO CALL :Parse01 %%A %%B
:Parse01
:: %1 is keyname and %2 is value
SET myapp=%2
:: Remove quotes and replace \\
SET myapp=%myapp:"=%
SET myapp=%myapp:\\=\%
::
::******************************************************************************************
::
::   M A S K E 
::
call .\skripts\maske.bat
::
::
::
cls.
IF not exist .\sicher md sicher
echo.
:: Original-Dateien sichern
IF NOT exist "%userprofile%\Eigene Dateien\FIFA 07_original_sicher" echo Umbenennen des Original-Fifa07-Ordners unter Eigene Dateien:
::IF exist "%userprofile%\Eigene Dateien\FIFA 07_original_sicher" echo Fehler: gesicherter Original-Ordner war bereits vorhanden!!!
IF NOT exist "%userprofile%\Eigene Dateien\FIFA 07_original_sicher" move "%userprofile%\Eigene Dateien\FIFA 07" "%userprofile%\Eigene Dateien\FIFA 07_original_sicher"
echo.
echo.
IF exist "%userprofile%\Eigene Dateien\FIFA 07.vdfb" echo "VDFB-Ordner" unter Eigene Dateien wird in "Fifa 07" umbenannt:
IF Not exist "%userprofile%\Eigene Dateien\FIFA 07.vdfb" echo Es wird beim Starten von Fifa ein neuer Profil-Ordner angelegt
IF exist "%userprofile%\Eigene Dateien\FIFA 07.vdfb" move "%userprofile%\Eigene Dateien\FIFA 07.vdfb" "%userprofile%\Eigene Dateien\FIFA 07"
echo.
echo. 
echo Original-DB-Dateien werden gesichert:
IF NOT exist .\sicher\fifa.db copy "%myapp%\data\cmn\fifa.db" .\sicher\fifa.db
IF NOT exist .\sicher\ger.db copy "%myapp%\data\cmn\fe\ger.db" .\sicher\ger.db
IF NOT exist .\sicher\locale.ini IF exist "myapp%\locale.ini copy "%myapp%\locale.ini" .\sicher\locale.ini
::IF NOT exist .\sicher\eng.db copy "%myapp%\data\cmn\fe\eng.db" .\sicher\eng.db
IF exist .\sicher\fifa.db echo         Original-Fifadaten wurden gesichert
IF exist .\sicher\ger.db echo         Original-Fifatexte (deutsch) wurden gesichert
::IF exist .\sicher\eng.db echo         Original-Fifatexte (english) wurden gesichert
:: IF NOT exist .\sicher\config.dat copy "%myapp%\config.dat" .\sicher\config.dat
:: IF NOT exist .\sicher\locale.ini copy "%myapp%\locale.ini" .\sicher\locale.ini
:: IF NOT exist .\sicher\ini.big copy "%myapp%\data\cmn\ini.big" .\sicher\ini.big
echo.
echo.
:: Dateien kopieren
echo VDFB-Daten werden in den Fifa-Ordner kopiert:
copy .\daten\fifa.db "%myapp%\data\cmn\fifa.db"
copy .\daten\ger.db "%myapp%\data\cmn\fe\ger.db"
copy .\daten\locale.ini "%myapp%\locale.ini"
::copy .\daten\eng.db "%myapp%\data\cmn\fe\eng.db"
::copy .\daten\config.dat "%myapp%\config.dat"
::copy .\daten\locale.ini "%myapp%\locale.ini"
::copy .\daten\ini.big "%myapp%\data\cmn\ini.big"
echo.
echo.
echo Im weiteren Verlauf wird nun Fifa 2007 automatisch gestartet
echo.
echo.
pause
cls.
echo.
echo.
echo Fifa 2007 (V 9.249) wird nun gestartet...........
call "%myapp%\fifa07.exe"
cls.
move "%userprofile%\Eigene Dateien\FIFA 07" "%userprofile%\Eigene Dateien\FIFA 07.vdfb"
move "%userprofile%\Eigene Dateien\FIFA 07_original_sicher" "%userprofile%\Eigene Dateien\FIFA 07"
IF exist .\sicher\fifa.db move .\sicher\fifa.db "%myapp%\data\cmn\fifa.db" 
IF exist .\sicher\ger.db move .\sicher\ger.db "%myapp%\data\cmn\fe\ger.db"
IF exist .\sicher\locale.ini move .\sicher\locale.ini "%myapp\locale.ini"
::move .\sicher\eng.db "%myapp%\data\cmn\fe\eng.db"
echo.
echo.
echo Die Original-Daten wurden erfolgreich zurueckgeschrieben!
echo.
echo.
echo.
echo Bis zum nächsten Mal :)
echo.
echo.
echo.
echo.
pause
exit
:end
